Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Sprite Class Reference

スプライト More...

`#include <Sprite.h>`

Inheritance diagram for Lamp::Sprite:

List of all members.

## Public Types
enum | Align { alignNone = 0, alignTopLeft, alignTop, alignTopRight, alignLeft, alignCenter, alignRight, alignBottomLeft, alignBottom, alignBottomRight, alignMax }
| アライン
enum | Fit { fitNone = 0, fitScreen, fitScreenWidth, fitScreenHeight, fitMax }
| フィット
## Public Member Functions
| Sprite ()
| コンストラクタ
| Sprite (const Sprite &copy)
| コピーコンストラクタ
Sprite & | operator= (const Sprite &copy)
| 代入コピー
virtual | ~Sprite ()
| デストラクタ
virtual void | render (SpriteRenderState *renderState)
| レンダリング
virtual bool | loadPicture (const String &fileName)
| ピクチャのロード
virtual void | setPicture (SpritePicture *picture)
| ピクチャの設定
virtual SpritePicture * | getPicture ()
| ピクチャの取得
virtual void | setRectangle (const RectangleF &rectangle)
| 矩形の設定
virtual void | setRectangle (const Point2f &position, const DimensionF &size)
| 矩形の設定
virtual void | setRectangle (float x, float y, float width, float height)
| 矩形の設定
virtual const RectangleF & | getRectangle () const
| 矩形の取得
virtual void | setPosition (const Point2f &position)
| 位置の設定
virtual void | setPosition (float x, float y)
| 位置の設定
virtual Point2f | getPosition () const
| 位置の取得
virtual void | setSize (const DimensionF &size)
| サイズの設定
virtual void | setSize (float width, float height)
| サイズの設定
virtual DimensionF | getSize () const
| サイズの取得
virtual void | setImageRectangle (const RectangleF &imageRectangle)
| イメージ矩形の設定
virtual void | setImageRectangle (const Point2f &position, const DimensionF &size)
| イメージ矩形の設定
virtual void | setImageRectangle (float x, float y, float width, float height)
| イメージ矩形の設定
virtual const RectangleF & | getImageRectangle () const
| イメージ矩形の取得
virtual void | setImagePosition (const Point2f &position)
| イメージ位置の設定
virtual void | setImagePosition (float x, float y)
| イメージ位置の設定
virtual Point2f | getImagePosition () const
| イメージ位置の取得
virtual void | setImageSize (const DimensionF &size)
| イメージサイズの設定
virtual void | setImageSize (float width, float height)
| イメージサイズの設定
virtual DimensionF | getImageSize () const
| イメージサイズの取得
virtual void | setAnimation (const DimensionI &animationDivision, int animation, const RectangleF &imageRectangle=RectangleF::unit)
| アニメーションの設定
virtual void | setAlign (Align align)
| アラインの設定
virtual Align | getAlign () const
| アラインの取得
virtual void | setFit (Fit fit)
| フィットの設定
virtual Fit | getFit () const
| フィットの取得
virtual void | setEnabled (bool enabled)
| 有効、無効の設定
virtual bool | isEnabled () const
| 有効、無効の取得
virtual bool | isSprite () const
| スプライトかどうか
## Protected Member Functions
virtual RectangleF | applyFit (const RectangleF &rectangle, const DimensionF &renderTargetSize)
| フィットの適用
virtual RectangleF | applyAlign (const RectangleF &rectangle, const DimensionF &renderTargetSize)
| アラインの適用

## Detailed Description

スプライト

Definition at line 38 of file Sprite.h.

## Constructor & Destructor Documentation

Lamp::Sprite::Sprite | ( | const Sprite & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 45 of file Sprite.cpp. References NULL, and setPicture().

## Member Function Documentation

RectangleF Lamp::Sprite::applyAlign | ( | const RectangleF & | rectangle,
|  | const DimensionF & | renderTargetSize
| ) | `[protected, virtual]`

  | アラインの適用 Parameters:
  rectangle | 矩形
  renderTargetSize | レンダーターゲットサイズ
Returns: 矩形 Definition at line 132 of file Sprite.cpp. References Lamp::RectangleF::height, Lamp::DimensionF::height, Lamp::RectangleF::width, Lamp::DimensionF::width, Lamp::RectangleF::x, and Lamp::RectangleF::y. Referenced by render().

RectangleF Lamp::Sprite::applyFit | ( | const RectangleF & | rectangle,
|  | const DimensionF & | renderTargetSize
| ) | `[protected, virtual]`

  | フィットの適用 Parameters:
  rectangle | 矩形
  renderTargetSize | レンダーターゲットサイズ
Returns: 矩形 Definition at line 118 of file Sprite.cpp. References Lamp::DimensionF::height, Lamp::RectangleF::height, Lamp::DimensionF::width, and Lamp::RectangleF::width. Referenced by render().

virtual Align Lamp::Sprite::getAlign | ( |  | ) | const`[inline, virtual]`

| アラインの取得 Returns: アライン Definition at line 327 of file Sprite.h. References Align.

virtual Fit Lamp::Sprite::getFit | ( |  | ) | const`[inline, virtual]`

| フィットの取得 Returns: フィット Definition at line 354 of file Sprite.h. References Fit.

virtual Point2f Lamp::Sprite::getImagePosition | ( |  | ) | const`[inline, virtual]`

| イメージ位置の取得 Returns: イメージ位置 Definition at line 254 of file Sprite.h. References Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual const RectangleF& Lamp::Sprite::getImageRectangle | ( |  | ) | const`[inline, virtual]`

| イメージ矩形の取得 Returns: イメージ矩形 Definition at line 226 of file Sprite.h.

virtual DimensionF Lamp::Sprite::getImageSize | ( |  | ) | const`[inline, virtual]`

| イメージサイズの取得 Returns: イメージサイズ Definition at line 282 of file Sprite.h. References Lamp::RectangleF::height, and Lamp::RectangleF::width.

virtual SpritePicture* Lamp::Sprite::getPicture | ( |  | ) | `[inline, virtual]`

| ピクチャの取得 Returns: ピクチャ Definition at line 94 of file Sprite.h.

virtual Point2f Lamp::Sprite::getPosition | ( |  | ) | const`[inline, virtual]`

| 位置の取得 Returns: 位置 Definition at line 157 of file Sprite.h. References Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual const RectangleF& Lamp::Sprite::getRectangle | ( |  | ) | const`[inline, virtual]`

| 矩形の取得 Returns: 矩形 Definition at line 131 of file Sprite.h.

virtual DimensionF Lamp::Sprite::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 185 of file Sprite.h. References Lamp::RectangleF::height, and Lamp::RectangleF::width.

virtual bool Lamp::Sprite::isEnabled | ( |  | ) | const`[inline, virtual]`

| 有効、無効の取得 Returns: trueなら有効、falseなら無効 Definition at line 369 of file Sprite.h.

virtual bool Lamp::Sprite::isSprite | ( |  | ) | const`[inline, virtual]`

| スプライトかどうか Returns: スプライトならtrue Reimplemented from Lamp::SpriteRequest. Definition at line 378 of file Sprite.h.

bool Lamp::Sprite::loadPicture | ( | const String & | fileName | ) | `[virtual]`

  | ピクチャのロード Parameters:
  fileName | ファイル名
Returns: 成功すればtrue Definition at line 158 of file Sprite.cpp. References Lamp::FilePath::existFile(), Lamp::FilePath::getExtension(), Lamp::SpritePictureRGB8::getImageBuffer(), Lamp::SpritePictureRGBA8::getImageBuffer(), Lamp::FilePath::getPath(), Lamp::TargaLoader::getSize(), Lamp::TargaLoader::hasAlpha(), Lamp::TargaLoader::loadHeader(), Lamp::TargaLoader::loadImage(), setPicture(), Lamp::SpritePictureRGB8::setSize(), and Lamp::SpritePictureRGBA8::setSize().

Sprite & Lamp::Sprite::operator= | ( | const Sprite & | copy | ) |

  | 代入コピー Parameters:
  copy | コピー元
Definition at line 53 of file Sprite.cpp. References align_, enabled_, fit_, imageRectangle_, picture_, rectangle_, and setPicture().

void Lamp::Sprite::render | ( | SpriteRenderState * | renderState | ) | `[virtual]`

  | レンダリング Parameters:
  renderState | レンダーステート
Implements Lamp::SpriteRequest. Definition at line 78 of file Sprite.cpp. References applyAlign(), applyFit(), Lamp::SpriteRenderState::getRenderTargetSize(), Lamp::RectangleF::height, Lamp::SpriteRenderState::request(), Lamp::RectangleF::width, Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setAlign | ( | Align | align | ) | `[inline, virtual]`

  | アラインの設定 Parameters:
  align | アライン
Definition at line 318 of file Sprite.h. References Assert.

void Lamp::Sprite::setAnimation | ( | const DimensionI & | animationDivision,
|  | int | animation,
|  | const RectangleF & | imageRectangle = RectangleF::unit
| ) | `[virtual]`

  | アニメーションの設定 Parameters:
  animationDivision | アニメーション分割
  animation | アニメーション
  imageRectangle | イメージ矩形
Definition at line 202 of file Sprite.cpp. References Assert, Lamp::RectangleF::height, Lamp::DimensionI::height, setImageRectangle(), Lamp::RectangleF::width, Lamp::DimensionI::width, Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setEnabled | ( | bool | enabled | ) | `[inline, virtual]`

  | 有効、無効の設定 Parameters:
  enabled | trueなら有効、falseなら無効
Definition at line 363 of file Sprite.h.

virtual void Lamp::Sprite::setFit | ( | Fit | fit | ) | `[inline, virtual]`

  | フィットの設定 Parameters:
  fit | フィット
Definition at line 345 of file Sprite.h. References Assert.

virtual void Lamp::Sprite::setImagePosition | ( | float | x,
|  | float | y
| ) | `[inline, virtual]`

  | イメージ位置の設定 Parameters:
  x | Xイメージ位置
  y | Yイメージ位置
Definition at line 245 of file Sprite.h. References Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setImagePosition | ( | const Point2f & | position | ) | `[inline, virtual]`

  | イメージ位置の設定 Parameters:
  position | 設定するイメージ位置
Definition at line 235 of file Sprite.h. References Lamp::Point2f::x, Lamp::RectangleF::x, Lamp::Point2f::y, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setImageRectangle | ( | float | x,
|  | float | y,
|  | float | width,
|  | float | height
| ) | `[inline, virtual]`

  | イメージ矩形の設定 Parameters:
  x | 設定するイメージ矩形のX位置
  y | 設定するイメージ矩形のY位置
  width | 設定するイメージ矩形の幅
  height | 設定するイメージ矩形の高さ
Definition at line 217 of file Sprite.h. References Lamp::RectangleF::set().

virtual void Lamp::Sprite::setImageRectangle | ( | const Point2f & | position,
|  | const DimensionF & | size
| ) | `[inline, virtual]`

  | イメージ矩形の設定 Parameters:
  position | 設定するイメージ矩形の位置
  size | 設定するイメージ矩形のサイズ
Definition at line 205 of file Sprite.h. References Lamp::DimensionF::height, Lamp::RectangleF::set(), Lamp::DimensionF::width, Lamp::Point2f::x, and Lamp::Point2f::y.

virtual void Lamp::Sprite::setImageRectangle | ( | const RectangleF & | imageRectangle | ) | `[inline, virtual]`

  | イメージ矩形の設定 Parameters:
  imageRectangle | 設定するイメージ矩形
Definition at line 196 of file Sprite.h. Referenced by setAnimation().

virtual void Lamp::Sprite::setImageSize | ( | float | width,
|  | float | height
| ) | `[inline, virtual]`

  | イメージサイズの設定 Parameters:
  width | イメージ幅
  height | イメージ高さ
Definition at line 273 of file Sprite.h. References Lamp::RectangleF::height, and Lamp::RectangleF::width.

virtual void Lamp::Sprite::setImageSize | ( | const DimensionF & | size | ) | `[inline, virtual]`

  | イメージサイズの設定 Parameters:
  size | 設定するイメージサイズ
Definition at line 263 of file Sprite.h. References Lamp::DimensionF::height, Lamp::RectangleF::height, Lamp::DimensionF::width, and Lamp::RectangleF::width.

void Lamp::Sprite::setPicture | ( | SpritePicture * | picture | ) | `[virtual]`

  | ピクチャの設定 Parameters:
  picture | ピクチャ
Definition at line 189 of file Sprite.cpp. References Lamp::SpritePicture::addReference(), NULL, Lamp::SpritePicture::removeReference(), and SafeDelete. Referenced by loadPicture(), operator=(), Sprite(), and ~Sprite().

virtual void Lamp::Sprite::setPosition | ( | float | x,
|  | float | y
| ) | `[inline, virtual]`

  | 位置の設定 Parameters:
  x | X位置
  y | Y位置
Definition at line 148 of file Sprite.h. References Lamp::RectangleF::x, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setPosition | ( | const Point2f & | position | ) | `[inline, virtual]`

  | 位置の設定 Parameters:
  position | 設定する位置
Definition at line 138 of file Sprite.h. References Lamp::Point2f::x, Lamp::RectangleF::x, Lamp::Point2f::y, and Lamp::RectangleF::y.

virtual void Lamp::Sprite::setRectangle | ( | float | x,
|  | float | y,
|  | float | width,
|  | float | height
| ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  x | 設定する矩形のX位置
  y | 設定する矩形のY位置
  width | 設定する矩形の幅
  height | 設定する矩形の高さ
Definition at line 123 of file Sprite.h. References Lamp::RectangleF::set().

virtual void Lamp::Sprite::setRectangle | ( | const Point2f & | position,
|  | const DimensionF & | size
| ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  position | 設定する矩形の位置
  size | 設定する矩形のサイズ
Definition at line 112 of file Sprite.h. References Lamp::DimensionF::height, Lamp::RectangleF::set(), Lamp::DimensionF::width, Lamp::Point2f::x, and Lamp::Point2f::y.

virtual void Lamp::Sprite::setRectangle | ( | const RectangleF & | rectangle | ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  rectangle | 設定する矩形
Definition at line 103 of file Sprite.h.

virtual void Lamp::Sprite::setSize | ( | float | width,
|  | float | height
| ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  width | 幅
  height | 高さ
Definition at line 176 of file Sprite.h. References Lamp::RectangleF::height, and Lamp::RectangleF::width.

virtual void Lamp::Sprite::setSize | ( | const DimensionF & | size | ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  size | 設定するサイズ
Definition at line 166 of file Sprite.h. References Lamp::DimensionF::height, Lamp::RectangleF::height, Lamp::DimensionF::width, and Lamp::RectangleF::width.

The documentation for this class was generated from the following files:

- Sprite.h
- Sprite.cpp